Difference between revisions of "Myth on Mac - Build status"

From MythTV Official Wiki
Jump to: navigation, search
m (Core Duo on 10.5 works with 20855)
Line 42: Line 42:
 
| 1.5
 
| 1.5
 
| 20278
 
| 20278
| Packager fails to build libfaad. Comment it out of %depend_order => mythtv gets further.  
+
| Packager fails to build libfaad. Comment faad out of everywhere, and the build gets further.  
  
 
|-
 
|-

Revision as of 05:07, 13 July 2009

If you are trying to build MythTV from source, you are usually trying to build a frontend to match a Linux backend. This means you need to build a compatible version. e.g. if the backend is MythTV-0.21, then try to build the same Mac frontend version, or maybe the latest version of that source code branch - MythTV-0.21-fixes.

The developers usually keep these branches very stable, so they should build on most Mac OS versions. However, building the latest and greatest - trunk - may be a little more difficult, depending on what changes have been committed recently, and how hostile they are to Mac OS X and Windows.

This document is trying to be a whiteboard of peoples’ building successes and failures.

MythTV 0.15.1, 0.16

Nigel has a tarball of those source trees that used to compile on 10.2 and 10.3 machines (of course, PowerPC only). 10.2 also required dlcompat to be installed. (rough 10.2 build instructions here)

MythTV 0.17, 0.18, 0.19

0.17 was the first release to compile “out of the box” on a Mac. I think these were 10.3 only.

MythTV 0.20

The first release to compile on an Intel Mac. The Myth_on_Mac_x86 page lists many of the historical gorey details involved in getting there.

MythTV 0.21 (and -fixes)

OS Arch. XCode rev. SVN rev. Status
10.3.9 PPC G3  ??? 16658 working?
10.3.9 PPC G4 1.5 16658 working?
10.3.9 PPC G4 1.5 20278 Packager fails to build libfaad. Comment faad out of everywhere, and the build gets further.
10.4.11 Intel  ??? 20622 Working

MythTV trunk

OS Arch. XCode rev. SVN rev. Status
10.3.9 PPC G4 1.5 20790 Qt 4.4 does not build. Error compiling concurrent/qtconcurrentthreadengine.cpp
10.4.11 Intel Core Duo 2.5 20790 Working build. Runtime error when loading plugins.
10.5.6 Intel Core 2 Duo 3.0 20844 Fails to link libmythavcodec:

ld: absolute addressing (perhaps -mdynamic-no-pic) used in _ff_flac_compute_autocorr_sse2 from flacdsp_mmx.o not allowed in slidable image

10.5.6 Intel Core 2 Duo 3.1.1 20844 Working
10.5.6 Intel Core Duo 3.1.1 20855 Working